Preferences - Watchlist still has "Revision scoring" displayed after beta feature "New filters for edit review" is enabled
Closed, InvalidPublic

Description

  1. In betalabs enable "New filters for edit review" which will display filters on RC page and Watchlist page.
  2. Got to 'Preferences - Watchlist'. The "Revision scoring'" section is still displayed

The settings "Highlight likely problem edits with colors and an "r" for "needs review" " and "Show only likely problem edits (and hide probably good edits)" won't be reflected on the Watchlist with filters, so the "Revision scoring'" should be hidden when the beta feature is enabled.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 11 2017, 5:40 PM

Change 377377 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/ORES@master] Hide RC/WL related preferences as appropriate

https://gerrit.wikimedia.org/r/377377

Catrope added a subscriber: Catrope.

I also noticed that the code for hiding the RC-related ORES preferences when RCFilters is enabled didn't take into account the new opt-out preference, so I fixed that too.

With my patch, the RC-related ORES prefs will be hidden when RCFilters is enabled (either through the beta feature, or through not opting out when it's enabled by default). The watchlist-related ORES preferences are hidden when WLFilters is enabled, and the the sensitity/threshold preference is hidden when both RCFilters and WLFilters are enabled.

Also, great patch number.

Change 377377 abandoned by Catrope:
Hide RC/WL related preferences as appropriate

https://gerrit.wikimedia.org/r/377377

Catrope closed this task as Declined.Sep 12 2017, 6:31 PM
Catrope added a subscriber: SBisson.

As @SBisson pointed out in code review, these preferences are all still used on the contributions page, so we can't get rid of any of them.

Change 377377 restored by Catrope:
Hide RC/WL related preferences as appropriate

Reason:
Oops, we do still need the part accounting for the RC opt-out

https://gerrit.wikimedia.org/r/377377

Catrope reopened this task as Open.Sep 12 2017, 10:40 PM

@Etonkovidova points out that I was wrong, two of them are used by contribs but one of them isn't. Also, we do still need the part of my change that takes the RC opt-out into account.

Change 377377 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Hide RC/WL related preferences as appropriate

https://gerrit.wikimedia.org/r/377377

'Revision scoring' section affects Contribution result set. This ticket depends on the resolution of several tickets e.g. T172352: Consolidate Preferences: New UX on RC AND Watchlist (option #1) , T172468: Consolidate preferences: Users who don’t have the new UX at all (option #3).

SBisson closed this task as Invalid.Oct 5 2017, 1:21 PM

Preferences are imperfect but they are as they should be for now.

Consider discussing the plan to change them at T172350 and subtasks.

Please reopen if I misunderstood what was being reported in this ticket.